# GPencilFrame(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``GPencilFrame`(bpy_struct)

  Collection of related sketches on a particular frame

  `frame_number`

    The frame on which this sketch appears

    Type: | int in [-300000, 300000], default 0

  `is_edited`

    Frame is being edited (painted on)

    Type: | boolean, default False

  `select`

    Frame is selected for editing in the Dope Sheet

    Type: | boolean, default False

  `strokes`

    Freehand curves defining the sketch on this frame

    Type: | `GPencilStrokes` `bpy_prop_collection` of `GPencilStroke`, (readonly)

  `clear`()

    Remove all the grease pencil frame data

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`GPencilFrames.copy` `GPencilFrames.copy` `GPencilFrames.new` | `GPencilFrames.remove` `GPencilLayer.active_frame` `GPencilLayer.frames`